Type to search.

Perform sparse embedding inference on the service

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.11 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Path parameters

inference_id string required

The inference Id

Query parameters

timeout union oneOf · default: 30s

Specifies the amount of time to wait for the inference request to complete.

Values: -1 0

Request body

input union string | string[] required

Inference input. Either a string or an array of strings.

task_settings object

Optional task settings

Response

application/json
sparse_embedding object[] required
is_truncated boolean required

Indicates if the text input was truncated in the request sent to the service

embedding object required